package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 材料样例对象 tb_material_demo
 * 
 * @author ruoyi
 * @date 2022-08-31
 */
public class TbMaterialDemo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 材料名称 */
//    @Excel(name = "材料名称")
    private String materialName;

    /** 材料内容 */
//    @Excel(name = "材料内容")
    private String materialContent;

    /**注意事项**/
    private String note;

    @Excel(name = "创建人")
    private String creatorDesc;

    @Excel(name = "修改人")
    private String modifiedByDesc;

    @Excel(name="审核人员")
    private String checkerDesc;

    /**审核状态*/
    @Excel(name="审核状态")
    private String checkStatusDesc;

    private String materialCover;

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    public String getCheckerDesc() {
        return checkerDesc;
    }

    public void setCheckerDesc(String checkerDesc) {
        this.checkerDesc = checkerDesc;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMaterialName(String materialName) 
    {
        this.materialName = materialName;
    }

    public String getMaterialName() 
    {
        return materialName;
    }
    public void setMaterialContent(String materialContent) 
    {
        this.materialContent = materialContent;
    }

    public String getMaterialContent() 
    {
        return materialContent;
    }

    public String getCheckStatusDesc() {
        return checkStatusDesc;
    }

    public void setCheckStatusDesc(String checkStatusDesc) {
        this.checkStatusDesc = checkStatusDesc;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getMaterialCover() {
        return materialCover;
    }

    public void setMaterialCover(String materialCover) {
        this.materialCover = materialCover;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("materialName", getMaterialName())
            .append("materialContent", getMaterialContent())
            .toString();
    }
}
